
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaAsistenciaDeViajeConfigDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaAsistenciaDeViajeConfig;
import com.rjconsultores.ventaboletos.service.EmpresaAsistenciaDeViajeConfigService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("empresaAsistenciaDeViajeConfigService")
public class EmpresaAsistenciaDeViajeConfigServiceImpl implements EmpresaAsistenciaDeViajeConfigService {

	@Autowired
	private EmpresaAsistenciaDeViajeConfigDAO empresaAsistenciaDeViajeConfigDAO;

	public List<EmpresaAsistenciaDeViajeConfig> obtenerTodos() {
		return empresaAsistenciaDeViajeConfigDAO.obtenerTodos();
	}

	public EmpresaAsistenciaDeViajeConfig obtenerID(Integer id) {
		return empresaAsistenciaDeViajeConfigDAO.obtenerID(id);
	}

	@Transactional
	public EmpresaAsistenciaDeViajeConfig suscribir(EmpresaAsistenciaDeViajeConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaAsistenciaDeViajeConfigDAO.suscribir(entidad);
	}

	@Transactional
	public EmpresaAsistenciaDeViajeConfig actualizacion(EmpresaAsistenciaDeViajeConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaAsistenciaDeViajeConfigDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(EmpresaAsistenciaDeViajeConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		empresaAsistenciaDeViajeConfigDAO.actualizacion(entidad);
	}

	public EmpresaAsistenciaDeViajeConfig buscarChave(String chave, Integer empresaId) {
		return empresaAsistenciaDeViajeConfigDAO.buscarChave(chave, empresaId);
	}

	public List<EmpresaAsistenciaDeViajeConfig> buscarByEmpresa(Integer empresaId) {
		return empresaAsistenciaDeViajeConfigDAO.buscarByEmpresa(empresaId);
	}

}
